import {Singleton} from "@extollo/di";
import {CanonicalRecursive} from "./CanonicalRecursive";

@Singleton()
export class Config extends CanonicalRecursive {
    protected appPath: string[] = ['configs']
    protected suffix: string = '.config.js'
    protected canonicalItem: string = 'config'

    public async up() {
        await super.up()

        if ( this.get('server.debug', false) ) {
            Error.stackTraceLimit = Infinity
        }
    }
}
